#include <iostream>
#include <cmath>
#define nullptr NULL


using namespace std;


float *diskriminant(float a, float b, float c, size_t arraySize = 3)
{
    float d;
    float x_1;
    float x_2;

    float *res = new float [arraySize];

    d = (b*b) - (4 * a*c);
    if (d >= 0)
    {
        x_1=(-b-sqrt(d))/(2*a);
        x_2=(-b+sqrt(d))/(2*a);

        res[0] = d;
        res[1] = x_1;
        res[2] = x_2;
    }

    if (d<0)
    {
        res[0] = 0;
        res[1] = 0;
        res[2] = 0;
    }

    return res;
}

int main()
{
    float *res = diskriminant(1, -5, 4);
    cout << "diskriminant=" << endl;
    cout << res[0] << endl;

    cout << "x1=" << endl;
    cout << res[1] << endl;

    cout << "x2=" << endl;
    cout << res[2] << endl;

    delete [] res;
    res = nullptr;

    return 0;
}
