unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type
  massiv_type = array[0..2] of real;

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

function diskriminant(a:real; b:real; c:real):massiv_type;
var
d:real;
x_1:real;
x_2:real;
res:massiv_type;
begin
   d:=(b*b)-(4*a*c);
   if d>=0 then
   begin
        x_1:=(-b-Sqrt(d))/(2*a);
        x_2:=(-b+Sqrt(d))/(2*a);

        res[0]:=d;
        res[1]:=x_1;
        res[2]:=x_2;
   end;

   if d<0 then
   begin
        res[0]:=d;
        res[1]:=0;
        res[2]:=0;
   end;

Result:=res;
end;



procedure TForm1.Button1Click(Sender: TObject);
var
 res:massiv_type;
begin
   res:=diskriminant(1,-5,4);
   ShowMessage('Diskriminant='+FloatToStr(res[0]));
   ShowMessage('X_1 ='+FloatToStr(res[1]));
   ShowMessage('X_2 ='+FloatToStr(res[2]));
end;

procedure TForm1.FormCreate(Sender: TObject);
begin

end;

end.

